<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Class org.apache.commons.dbcp2.DelegatingPreparedStatement (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.commons.dbcp2.DelegatingPreparedStatement (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/class-use/DelegatingPreparedStatement.html" target="_top">Frames</a></li>
<li><a href="DelegatingPreparedStatement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.commons.dbcp2.DelegatingPreparedStatement" class="title">Uses of Class<br>org.apache.commons.dbcp2.DelegatingPreparedStatement</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.dbcp2">org.apache.commons.dbcp2</a></td>
<td class="colLast">
<div class="block">
 Database Connection Pool API.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.dbcp2">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a> in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a> in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/DelegatingCallableStatement.html" title="class in org.apache.commons.dbcp2">DelegatingCallableStatement</a></span></code>
<div class="block">A base delegating implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql"><code>CallableStatement</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolableCallableStatement.html" title="class in org.apache.commons.dbcp2">PoolableCallableStatement</a></span></code>
<div class="block">A <a href="../../../../../org/apache/commons/dbcp2/DelegatingCallableStatement.html" title="class in org.apache.commons.dbcp2"><code>DelegatingCallableStatement</code></a> that cooperates with <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.html" title="class in org.apache.commons.dbcp2"><code>PoolingConnection</code></a> to implement a pool of
 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql"><code>CallableStatement</code></a>s.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html" title="class in org.apache.commons.dbcp2">PoolablePreparedStatement</a>&lt;K&gt;</span></code>
<div class="block">A <a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2"><code>DelegatingPreparedStatement</code></a> that cooperates with <a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.html" title="class in org.apache.commons.dbcp2"><code>PoolingConnection</code></a> to implement a pool of
 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a> that return types with arguments of type <a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/KeyedObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2">KeyedObjectPool</a>&lt;<a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2">PStmtKey</a>,<a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">PoolingConnection.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.html#getStatementPool--">getStatementPool</a></span>()</code>
<div class="block">Returns the prepared statement pool we're using.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObject.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObject</a>&lt;<a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">PoolingConnection.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.html#makeObject-org.apache.commons.dbcp2.PStmtKey-">makeObject</a></span>(<a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2">PStmtKey</a>&nbsp;key)</code>
<div class="block"><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/KeyedPooledObjectFactory.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>KeyedPooledObjectFactory</code></a> method for creating <a href="../../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html" title="class in org.apache.commons.dbcp2"><code>PoolablePreparedStatement</code></a>s or
 <a href="../../../../../org/apache/commons/dbcp2/PoolableCallableStatement.html" title="class in org.apache.commons.dbcp2"><code>PoolableCallableStatement</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a> with type arguments of type <a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PoolingConnection.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.html#activateObject-org.apache.commons.dbcp2.PStmtKey-org.apache.commons.pool2.PooledObject-">activateObject</a></span>(<a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2">PStmtKey</a>&nbsp;key,
              <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObject.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObject</a>&lt;<a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a>&gt;&nbsp;pooledObject)</code>
<div class="block"><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/KeyedPooledObjectFactory.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>KeyedPooledObjectFactory</code></a> method for activating pooled statements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PoolingConnection.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.html#destroyObject-org.apache.commons.dbcp2.PStmtKey-org.apache.commons.pool2.PooledObject-">destroyObject</a></span>(<a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2">PStmtKey</a>&nbsp;key,
             <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObject.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObject</a>&lt;<a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a>&gt;&nbsp;pooledObject)</code>
<div class="block"><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/KeyedPooledObjectFactory.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>KeyedPooledObjectFactory</code></a> method for destroying PoolablePreparedStatements and PoolableCallableStatements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PoolingConnection.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.html#passivateObject-org.apache.commons.dbcp2.PStmtKey-org.apache.commons.pool2.PooledObject-">passivateObject</a></span>(<a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2">PStmtKey</a>&nbsp;key,
               <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObject.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObject</a>&lt;<a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a>&gt;&nbsp;pooledObject)</code>
<div class="block"><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/KeyedPooledObjectFactory.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>KeyedPooledObjectFactory</code></a> method for passivating <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a>s or <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql"><code>CallableStatement</code></a>s.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PoolingConnection.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.html#setStatementPool-org.apache.commons.pool2.KeyedObjectPool-">setStatementPool</a></span>(<a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/KeyedObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2">KeyedObjectPool</a>&lt;<a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2">PStmtKey</a>,<a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a>&gt;&nbsp;pool)</code>
<div class="block">Sets the prepared statement pool.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">PoolingConnection.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolingConnection.html#validateObject-org.apache.commons.dbcp2.PStmtKey-org.apache.commons.pool2.PooledObject-">validateObject</a></span>(<a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2">PStmtKey</a>&nbsp;key,
              <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObject.html?is-external=true" title="class or interface in org.apache.commons.pool2">PooledObject</a>&lt;<a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a>&gt;&nbsp;pooledObject)</code>
<div class="block"><a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/KeyedPooledObjectFactory.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>KeyedPooledObjectFactory</code></a> method for validating pooled statements.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a> with type arguments of type <a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/PoolableCallableStatement.html#PoolableCallableStatement-java.sql.CallableStatement-org.apache.commons.dbcp2.PStmtKey-org.apache.commons.pool2.KeyedObjectPool-org.apache.commons.dbcp2.DelegatingConnection-">PoolableCallableStatement</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql">CallableStatement</a>&nbsp;callableStatement,
                         <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2">PStmtKey</a>&nbsp;key,
                         <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/KeyedObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2">KeyedObjectPool</a>&lt;<a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2">PStmtKey</a>,<a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a>&gt;&nbsp;pool,
                         <a href="../../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&gt;&nbsp;connection)</code>
<div class="block">Constructor.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/class-use/DelegatingPreparedStatement.html" target="_top">Frames</a></li>
<li><a href="DelegatingPreparedStatement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
